<?php
namespace WHMCS\Module\Addon\ProxyCheap\Commands;

use WHMCS\Module\Addon\ProxyCheap\AbstractCommand;
use WHMCS\Module\Addon\ProxyCheap\API;
class SetProxyProtocol extends AbstractCommand
{
    public function get()
    {

    }

    public function post(string $newType)
    {
        $proxyid = (int) $this->input['proxy_id'];

        $api = new API();
        $request = $api->setKey($this->params['apikey'])
            ->setSecret($this->params['apisecret'])
            ->setHeaders()
            ->executePOST('proxies/' . $proxyid . '/change-protocol', ['newType' => $newType]);

        if (!$request) {
            return ['message' => 'Proxy not found'];
        }
        return $request;
    }
}